# inspired from fedora spec file
# Copyright (c) 2015-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     Graph
%define composer_name   graph
%define composer_vendor zetacomponents

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        1.5.2
Release:        %mkrel 3
Summary:        Zeta Graph Component
Group:          Development/PHP
License:        ASL 2.0
URL:            http://zetacomponents.org/
Source0:        https://github.com/zetacomponents/Graph/archive/%{github_name}-%{version}.tar.gz


# https://github.com/zetacomponents/Graph/pull/16
Patch0:         %{name}-pr16.patch
# Upstream
Patch1:         %{name}-upstream.patch

BuildArch:      noarch
BuildRequires:  php-composer(theseer/autoload)

# From composer.json, "require": {
#            "zetacomponents/base": "~1.8"
Requires:       php-composer(%{composer_vendor}/base) >= 1.8
# From composer.json, "suggest": {
#            "ext-gd": "Used by the GD driver, one of the choices for generating bitmap images."
Requires:       php-gd
# From phpcompatinfo report for 1.5.2
Requires:       php > 5.3
Requires:       php-dom
Requires:       php-gd
Requires:       php-pcre
Requires:       php-simplexml
Requires:       php-xml

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
A component for creating pie charts, line graphs and other kinds of diagrams.

%prep
%setup -qn %{github_name}-%{version}

%patch0 -p1
%patch1 -p1

: Drop bundled fonts
rm docs/tutorial/tutorial_font.*
sed -e 's:tutorial_font.ttf:/usr/share/fonts/gnu-free/FreeSans.ttf:' \
    -i docs/tutorial/*php

%build
: Generate a simple autoloader
%{_bindir}/phpab \
   --output src/autoloader.php \
   src
cat <<EOF | tee -a  src/autoloader.php
# Dependencies
require_once '%{php_libdir}/ezc/Base/autoloader.php';
EOF


%install
mkdir -p %{buildroot}%{php_libdir}/ezc/autoload

: The library
cp -pr src \
       %{buildroot}%{php_libdir}/ezc/%{github_name}
: For ezcBase autoloader
cp -pr src/*_autoload.php \
       %{buildroot}%{php_libdir}/ezc/autoload

%files
%doc LICENSE* CREDITS
%doc ChangeLog
%doc composer.json
%doc docs design
%{php_libdir}/ezc/autoload/*
%{php_libdir}/ezc/%{github_name}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.5.2-3.mga8
+ Revision: 1499248
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.5.2-2.mga7
+ Revision: 1274183
- Mageia 7 Mass Rebuild

* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.5.2-1.mga6
+ Revision: 1096703
- imported package php-zetacomponents-graph

